package main

import (
	"fmt"
	"log"
	"os"

	tea "github.com/charmbracelet/bubbletea"
	"github.com/charmbracelet/lipgloss"
	"github.com/muesli/termenv"
)

func main() {
    lipgloss.DefaultRenderer().SetColorProfile(termenv.TrueColor)
	p := tea.NewProgram(initialModel(getListItems()), tea.WithOutput(os.Stderr))
    m, err := p.Run();
	if err != nil {
		log.Fatal(err)
	} else {
        fmt.Println(m.View())
    }
}
